# Documentation on how to configure the bundle can be found at: https://symfony.com/doc/current/bundles/LiipImagineBundle/basic-usage.html
liip_imagine:
    resolvers:
        default:
            web_path: ~

    # valid drivers options include "gd" or "gmagick" or "imagick"
    driver: "gd"

    twig:
        mode: lazy

    filter_sets:
        thumbnail_small:
            quality: 75
            filters:
                thumbnail: { size: [ 24, 24 ], mode: inset }
        thumbnail_medium:
            quality: 85
            filters:
                thumbnail: { size: [ 48, 48 ], mode: inset }
        thumbnail_banner:
            quality: 85
            filters:
                thumbnail:
                    size: [ 248, 279 ]
                    mode: outbound
                background:
                    size: [ 248, 279 ]
                    color: "#ffffff"
        thumbnail_swiper:
            quality: 85
            filters:
                thumbnail:
                    size: [ 238, 308 ]
                    mode: outbound
                background:
                    size: [ 238, 308 ]
                    color: "#ffffff"
        thumbnail_canva:
            quality: 85
            filters:
                thumbnail:
                    size: [ 600, 800 ]
                    mode: inset
                strip: ~
                interlace:
                    mode: line
        insurance_card:
            quality: 85
            filters:
                thumbnail:
                    size: [ 500, 500 ]
                    mode: outbound
                strip: ~
                interlace: { mode: plane }
        banner_transparent_large:
            quality: 90
            filters:
                thumbnail:
                    size: [ 1200, 900 ]
                    mode: inset
        thumbnail_logo:
            quality: 85
            filters:
                thumbnail:
                    size: [ 150, 80 ]
                    mode: inset
                    allow_upscale: true
        logo_acpr:
            quality: 90
            filters:
                thumbnail:
                    size: [ 100, 50 ]
                    mode: inset
                    allow_upscale: true
        logo_orias:
            quality: 90
            filters:
                thumbnail:
                    size: [ 120, 60 ]
                    mode: inset
                    allow_upscale: true
